# usb_func_iface_setting Struct Reference

An alternate setting of an interface. More...

`#include <function_core.h>`

Collaboration diagram for usb_func_iface_setting:

[legend]

## Data Fields
struct usb_func_iface_ops * | ops
| Interface operations for this setting.
struct usb_interface_descriptor * | fs_desc
| Interface descriptor when running at full speed.
size_t | fs_desc_size
| Size of fs_desc, including sub-descriptors.
struct usb_interface_descriptor * | hs_desc
| Interface descriptor when running at high speed.
size_t | hs_desc_size
| Size of hs_desc, including sub-descriptors.
struct buffer | desc_buf
| Buffer for use when sending the descriptor.

## Detailed Description

An alternate setting of an interface.

Definition at line 90 of file function_core.h.

## Field Documentation

struct buffer usb_func_iface_setting::desc_buf`[read]`

Buffer for use when sending the descriptor.

Definition at line 103 of file function_core.h.

struct usb_interface_descriptor* usb_func_iface_setting::fs_desc`[read]`

Interface descriptor when running at full speed.

Definition at line 95 of file function_core.h.

Referenced by usb_func_add_interface(), and usb_func_get_interface().

size_t usb_func_iface_setting::fs_desc_size

Size of fs_desc, including sub-descriptors.

Definition at line 97 of file function_core.h.

Referenced by usb_func_add_interface().

struct usb_interface_descriptor* usb_func_iface_setting::hs_desc`[read]`

Interface descriptor when running at high speed.

Definition at line 99 of file function_core.h.

Referenced by usb_func_add_interface().

size_t usb_func_iface_setting::hs_desc_size

Size of hs_desc, including sub-descriptors.

Definition at line 101 of file function_core.h.

Referenced by usb_func_add_interface().

struct usb_func_iface_ops* usb_func_iface_setting::ops`[read]`

Interface operations for this setting.

Definition at line 92 of file function_core.h.

Referenced by usb_func_add_interface(), usb_func_process_setup_request(), and usb_func_set_interface().

The documentation for this struct was generated from the following file:

- include/usb/function_core.h